Index: Interface_Web/trunk/pspaWT/sources/controler/src/elementFit.cc
===================================================================
--- Interface_Web/trunk/pspaWT/sources/controler/src/elementFit.cc	(revision 359)
+++ Interface_Web/trunk/pspaWT/sources/controler/src/elementFit.cc	(revision 418)
@@ -11,11 +11,11 @@
     // transportOk_ = true;
     // parmelaIgnored_ = true;
-    registerAcceptableSoftware(nomDeLogiciel::transport, TBoolOk);
-    registerAcceptableSoftware(nomDeLogiciel::parmela, TBoolIgnore);
+    // registerAcceptableSoftware(nomDeLogiciel::transport, TBoolOk);
+    // registerAcceptableSoftware(nomDeLogiciel::parmela, TBoolIgnore);
 }
 
 void elementFit::setDefaultValues()
 {
-    defaultLabel_ = "fit";
+    defaultSpecificName_ = "fit";
     variableNameDef_ = "";
     variableValueDef_ = 0.0;
@@ -25,5 +25,5 @@
 void elementFit::setDefaults()
 {
-    label_ = defaultLabel_;
+    specificName_ = defaultSpecificName_;
     variableName_ = variableNameDef_;
     variableValue_ = variableValueDef_;
@@ -37,5 +37,5 @@
     int compteur = -1;
     parametersString_[++compteur] = mixedTools::intToString(nbParam_);
-    parametersString_[++compteur] = label_;
+    parametersString_[++compteur] = specificName_;
     parametersString_[++compteur] = variableName_;
     parametersString_[++compteur] = mixedTools::doubleToString(variableValue_ );
@@ -63,5 +63,5 @@
     }
     
-    label_ = param[++compteur];
+    specificName_ = param[++compteur];
     variableName_ = param[++compteur];
     variableValue_ = atof(param[++compteur].c_str());
@@ -70,19 +70,19 @@
 
 
-string elementFit::parmelaOutputFlow() const
-{
-    ostringstream sortie;
-    return sortie.str();
-}
+// string elementFit::parmelaOutputFlow() const
+// {
+//     ostringstream sortie;
+//     return sortie.str();
+// }
 
-string elementFit::transportOutputFlow() const
-{
-    ostringstream sortie;
-    sortie << label_ << ":" << "  FIT," << variableName_ << " = " << variableValue_ << ", TOLER = " << tolerance_ << " ;" << endl;
-    if ( variableName_ == "R11" || variableName_ == "R22" || variableName_ == "R12" || variableName_ == "R21" ) {
-        sortie << " PRINT, TRANS;" << endl;
-    }
-    return sortie.str();
-}
+// string elementFit::transportOutputFlow() const
+// {
+//     ostringstream sortie;
+//     sortie << specificName_ << ":" << "  FIT," << variableName_ << " = " << variableValue_ << ", TOLER = " << tolerance_ << " ;" << endl;
+//     if ( variableName_ == "R11" || variableName_ == "R22" || variableName_ == "R12" || variableName_ == "R21" ) {
+//         sortie << " PRINT, TRANS;" << endl;
+//     }
+//     return sortie.str();
+// }
 
 string elementFit::FileOutputFlow() const
@@ -90,13 +90,26 @@
     ostringstream sortie;
     //    sortie << elementName_.getElementType() << endl;
-    sortie << elementName_.getElementLabel() << endl;
-    sortie  << label_ << endl;
+    sortie << elementName_.getGenericLabel() << endl;
+    sortie  << specificName_ << endl;
     sortie  <<    variableName_ << " " << variableValue_ << " " << tolerance_ << endl;
     return sortie.str();
 }
 
+vector< pair<string, vector<string> > > elementFit::parametersToSoftware () const {
+  vector< pair<string, vector<string> > >  sortie;
+  sortie.push_back( pair<string, vector<string> >("labelsGenericSpecific",  vector<string>() ) );
+  sortie.back().second.push_back(elementName_.getGenericLabel());
+  sortie.back().second.push_back(specificName_);
+  sortie.push_back( pair<string, vector<string> >("variable",  vector<string>() ) );
+  sortie.back().second.push_back(variableName_);
+  sortie.back().second.push_back(mixedTools::doubleToString(variableValue_));
+  sortie.back().second.push_back(mixedTools::doubleToString(tolerance_));
+  return sortie;
+}
+
+
 void elementFit::FileInput(ifstream& ifs)
 {
-    ifs >> label_;
+    ifs >> specificName_;
     ifs  >>  variableName_ >>  variableValue_   >> tolerance_;
 }
@@ -106,5 +119,5 @@
     string txt = "";
  
-    txt += label_;
+    txt += specificName_;
     return txt;
 }
